Class | ActionController::Routing::OptionalFormatSegment
In: | lib/action_controller/routing/segments.rb
Parent: | DynamicSegment

The OptionalFormatSegment allows for any resource route to have an optional :format, which decreases the amount of routes created by 50%.

### Methods

extract_value interpolation_chunk match_extraction new regexp_chunk to_s

### Public Class methods

new(key = nil, options = {})

### Public Instance methods

extract_value()
interpolation_chunk()
match_extraction(next_capture)

the value should not include the period (.)

regexp_chunk()
to_s()

[Validate]